package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 用户登录检验返回值
 * @Author: CaoZixuan
 * @Date: 2021-10-08
 */
public class UserLoginCheckResult {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "电话号码")
    private String mobileNumber;

    @ApiModelProperty(value = "密码重置次数")
    private Integer pwdCount;

    public UserLoginCheckResult() {
    }

    public UserLoginCheckResult(Long userId, String mobileNumber, Integer pwdCount) {
        this.userId = userId;
        this.mobileNumber = mobileNumber;
        this.pwdCount = pwdCount;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public Integer getPwdCount() {
        return pwdCount;
    }

    public void setPwdCount(Integer pwdCount) {
        this.pwdCount = pwdCount;
    }
}
